Jack2 1.9.12

Public Member Functions | List of all members
PortAudioDevices Class Reference

A PortAudio Devices manager. More...

`#include <JackPortAudioDevices.h>`

## Public Member Functions
PaDeviceIndex | GetNumDevice ()
PaDeviceInfo * | GetDeviceInfo (PaDeviceIndex id)
std::string | GetDeviceName (PaDeviceIndex id)
std::string | GetHostFromDevice (PaDeviceInfo *device)
std::string | GetHostFromDevice (PaDeviceIndex id)
std::string | GetFullName (PaDeviceIndex id)
std::string | GetFullName (std::string hostname, std::string devicename)
PaDeviceInfo * | GetDeviceFromFullName (std::string fullname, PaDeviceIndex &id, bool isInput)
void | PrintSupportedStandardSampleRates (const PaStreamParameters *inputParameters, const PaStreamParameters *outputParameters)
int | GetInputDeviceFromName (const char *name, PaDeviceIndex &device, int &in_max)
int | GetOutputDeviceFromName (const char *name, PaDeviceIndex &device, int &out_max)
int | GetPreferredBufferSize (PaDeviceIndex id)
void | DisplayDevicesNames ()
bool | IsDuplex (PaDeviceIndex id)

## Detailed Description

A PortAudio Devices manager.

Definition at line 33 of file JackPortAudioDevices.h.

The documentation for this class was generated from the following files:

- JackPortAudioDevices.h
- JackPortAudioDevices.cpp